/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.exchange.items.contact.model;

import java.util.StringTokenizer;
import java.util.Date;
import java.text.MessageFormat;
import java.text.ParseException;

import sync4j.exchange.items.contact.ContactParseException;
import sync4j.exchange.xml.XmlParser;
import sync4j.exchange.xml.XmlParseException;

/**
 * @author Fabio Maggi @ Funambol
 *
 * @version $Id: Contact.java,v 1.13 2005/06/20 14:04:16 fabius Exp $
 **/

public class Contact
extends sync4j.foundation.pdi.contact.Contact {

    //--------------------------------------------------------------------- Constants

    //--------------------------------------------------------------------- Private data

    private String     id                = null ;
    private String     userId            = null ;

    private String     href              = null ;

    private Date       lastUpdate        = null ;
    private char       status            = ' '  ;

    //------------------------------------------------------------ Constructors

    /**
     * Creates a Contact
     *
     */
    public Contact () {

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     *
     */
    public Contact (String id) {

        this.id = id   ;

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     * @param t client item timestamp
     *
     */
    public Contact (String id, Date t) {

        this.id         = id   ;
        this.lastUpdate = t    ;

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     * @param status client item status
     *
     */
    public Contact (String id, char status) {

        this.id      = id     ;
        this.status  = status ;

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     * @param state client item state
     *
     */
    public Contact (String   id         ,
                    String   href       ,
                    char     status     ,
                    Date     lastUpdate ) {

        this.id             = id          ;
        this.href           = href        ;
        this.status         = status      ;
        this.lastUpdate     = lastUpdate  ;

    }


    //----------------------------------------------------------------------- Public methods


    public String getId()                      {
        return this.id;
    }

    public void setId(String id)               {
        this.id = id;
    }

    public String getUserId()                  {
        return this.userId;
    }

    public Date getLastUpdate()                {
        return this.lastUpdate;
    }

    public char getStatus()                    {
        return this.status;
    }

    public void setLastUpdate(Date lastUpdate) {
        this.lastUpdate = lastUpdate;
    }

    public void setStatus(char status)         {
        this.status = status;
    }

    public String getHref()                    {
        return this.href;
    }

    public void setHref(String href)           {
        this.href = href;
    }


}